/*Woocommerce*/


.wc-block-components-checkbox.wc-block-components-address-form__gift_aid:before {content:"Gift Aid";display:block;margin:25px 0 15px;line-height:120%;font-size:1.4rem;}

.wc-block-components-checkbox.wc-block-components-address-form__gift_aid:after {content:"I am a UK taxpayer and I would like The Herb Society to treat all donations I have made in the last 4 years and all donations I make in the future as Gift Aid donations. I confirm I have paid or will pay an amount of Income Tax and/or Capital Gains Tax for each tax year that is at least equal to the amount of tax that all the charities and Community Amateur Sports Clubs (CASCs) I donate to will reclaim on my gifts for that tax year. I understand that other taxes such as VAT and Council Tax do not qualify. I understand the charity will reclaim 25p of tax on every £1 that I give.";display:block;margin:25px 0 15px;line-height:120%;font-size:16px;}

.wc-membership-overview__list {list-style:none;padding:0;}

.woocommerce-error, .woocommerce-info, .woocommerce-message {border-top-color:var(--primary-clr);}
.woocommerce-info::before {color:var(--primary-clr);}

.shop.wrap {margin-bottom:60px;}

/* WooCommerce product image hover zoom */
.woocommerce ul.products li.product a img {transition:transform 250ms ease;transform:scale(1);will-change:transform;}

/* Hover/focus (keyboard users too) */
.woocommerce ul.products li.product a:hover img,.woocommerce ul.products li.product a:focus img,.woocommerce ul.products li.product a:focus-visible img {transform: scale(1.05);}

/* Optional: stop it spilling outside the image box */
.woocommerce ul.products li.product a {overflow:hidden;display:block;}


.woocommerce:where(body:not(.woocommerce-uses-block-theme)) .woocommerce-breadcrumb {width:100vw!important;max-width:100vw!important;margin:0 calc(-50vw + 50%) 10px!important;background:var(--purple3);display:flex;justify-content:center;padding:30px 0 35px!important;color:#fff;}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) .woocommerce-breadcrumb a {color:#fff;}

.shop-flex {justify-content:space-between;flex-flow:row wrap;}
.shop-sidebar {flex-basis:20%;}
.woocommerce nav.woocommerce-pagination {flex-basis:100%;margin:45px 0;}

/*Account Pages*/
.member-links {padding:0;list-style:none;}
.member-links li {margin-bottom:10px;}
.member-links li:before {display:inline-block;text-rendering:auto;-webkit-font-smoothing:antialiased;content:"\f0da";font:var(--fa-font-solid);margin-right:8px;color:var(--purple1);}
.entry .woocommerce {margin:35px 0;}
.entry .woocommerce thead {background:var(--purple1);color:#fff;font-weight:bold;}
.woocommerce-MyAccount-navigation ul {margin:0;padding:0;list-style:none;background:var(--purple1);padding:15px;border-radius:15px;}
.woocommerce-MyAccount-navigation ul li {background:var(--purple2);margin-bottom:5px;}
.woocommerce-MyAccount-navigation ul li:hover {background:var(--purple3);margin-bottom:5px;}
.woocommerce-MyAccount-navigation li a {color:#fff;padding:16px;display:block;}
.woocommerce-MyAccount-navigation li.woocommerce-MyAccount-navigation-link--dashboard {display:none;}
.woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions {display:flex;gap:5px;}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button {background:var(--purple1);color:#fff;}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button:hover {background:var(--purple2);color:#fff;}


/*Single Product*/
.woocommerce div.product .product_title {font-size:2rem;font-family:var(--ff-body);text-transform:initial;}
.product_meta {display:none;}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt {float:unset;flex-grow:1;}
.signup-btn {background:var(--purple2);color:#fff;display:inline-block;padding:5px 5px 7px;border-radius:5px;}
.woocommerce-product-details__short-description ul {padding:0;}
.woocommerce-product-details__short-description li {position:relative;padding-left:35px;line-height:180%;margin-bottom:10px;list-style:none;}
.woocommerce-product-details__short-description li:before {display:inline-block;text-rendering:auto;-webkit-font-smoothing:antialiased;font:var(--fa-font-solid);position:absolute;top:10px;left:0;;content:"\f06c";color:#8fc783!important;}
.woocommerce div.product form.cart {margin-bottom:0;}
.single-product .fooevents-date {line-height:190%;font-size:1.4rem;}
.fa-calendar-days,.fa-clock {color:var(--purple3);}
.event-meta {display:flex;gap:25px 55px;flex-flow:row wrap;}
#fooevents-event-listing-tiles .event-thumbnail img {width:100%;height:280px!important;object-fit:cover;}
.event-member-discount {flex-basis:100%;}

h2.woocommerce-loop-product__title {font-size:2rem;font-family:var(--ff-body);text-transform:initial;color:var(--txt-clr);}
.woocommerce ul.products li.product a img {margin:0;border-radius:15px;}
.archive .fooevents-date {margin:0 0 20px;font-size:1.1rem;color:#000;}
.woocommerce ul.products li.product a.woocommerce-loop-product__link:focus {background:unset;outline:unset;box-shadow:unset;color:unset;}
.woocommerce.archive span.onsale {border-radius:unset;padding:5px;line-height:unset;min-height:unset;top:25px!important;right:25px!important;}
.woocommerce.single-product span.onsale {border-radius:unset;padding:5px;line-height:unset;min-height:unset;top:25px!important;left:25px!important;}

/*Remove Floats and use Grid for Layout*/
.woocommerce ul.products {flex-basis:78%;display:grid;grid-template-columns:repeat(4,1fr);gap:40px;}
.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {float:unset;width:unset;margin:unset;}
.woocommerce .products ul::after, .woocommerce .products ul::before, .woocommerce ul.products::after, .woocommerce ul.products::before,.woocommerce div.product form.cart::after, .woocommerce div.product form.cart::before {display:none;}
/*Remove floats from Single Product Page and use Flex*/
.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images,.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {width:unset;float:none;}
.woocommerce.single-product div.product {display:flex;flex-flow:row wrap;margin:45px 0 45px;gap:20px 60px;}
.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {flex:calc(48% - 60px);}
.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images {flex-basis:25%;margin-bottom:0;}
.woocommerce div.product div.summary {font-size:1.1rem;margin-bottom:0;}

/*Related Products Section*/
.related.products {flex-basis:100%;}
.related.products ul.products li.product .button {width:100%;min-width:unset;height:50px;line-height:28px;display:none;}

/*Product Titles and Woo Buttons*/
.button.product_type_simple.add_to_cart_button {min-width:200px;}
.woocommerce ul.products li.product .woocommerce-loop-category__title, .woocommerce ul.products li.product .woocommerce-loop-product__title, .woocommerce ul.products li.product h3,.woocommerce div.product .product_title {color:var(--txt-clr);}
.woocommerce ul.products li.product .price,.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price, .woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product span.price {color:var(--green1)!important;font-size:1.8rem;font-weight:bold;margin-bottom:35px;display:block;}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price del {color:var(--green3)!important;}
.woocommerce ul.products li.product .price ins {color:var(--green1)!important;}
.single-product div.product p.price {font-size:1.6rem!important;}
.woocommerce ul.products li.product .button,.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt {background:var(--purple2);color:#fff;height:75px;text-align:center;}
.woocommerce .quantity .qty {height:75px;width:98%;font-size:1.4rem;}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:hover {background:var(--purple1);}

/*Woo Messages*/
.woocommerce-message {border-top-color:var(--purple1);}
.woocommerce-message::before {color:var(--purple1);}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product .stock {color:var(--green1);font-weight:bold;}

/*Remove Floats and Style Pagination*/
.woocommerce nav.woocommerce-pagination ul {display:flex;gap:5px;justify-content:center;border:unset;}
.woocommerce nav.woocommerce-pagination ul li {float:unset;}
.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span {padding:25px;font-weight:bold;font-size:1.4rem;}

/*Align Cart Form*/
.woocommerce div.product.product-type-simple form.cart, .woocommerce .product-type-variable form.cart .variations_button {display:flex!important;}
.woocommerce div.product form.cart.variations_form {flex-flow:row wrap;}
table.variations {flex-basis:100%;}
table.variations select {height:55px;padding:0 10px;border-radius:4px;}
.single_variation_wrap {width:100%;}
.woocommerce-variation-add-to-cart.variations_button {display:flex;flex-flow:row wrap;justify-content:space-between;}
.wcsg_add_recipient_fields_container {flex-basis:100%;}
.woocommerce div.product form.cart div.quantity {flex-basis:25%;float:none;margin:0;}
.woocommerce div.product form.cart .button {width:74%;float:unset;}


.woocommerce-variation-add-to-cart .single_add_to_cart_button.button.alt {flex-grow:1;}
.single_add_to_cart_button.button.alt.disabled.wc-variation-selection-needed,.single_add_to_cart_button.button.alt.disabled.wc-variation-selection-needed:hover {flex-grow:1;background:#c3c3c3;}
.woocommerce div.product form.cart .variations td, .woocommerce div.product form.cart .variations th {text-align:left;}

/*Badges*/
.woocommerce span.onsale {background:var(--purple1);}

/*Shop Widgets*/
#shop-widgets .widgettitle {color:var(--txt-clr);font-size:1.2rem;}
.product-categories .cat-parent {margin-bottom:15px;}
.product-categories .children {padding-left:15px;}
.product-categories > li {margin-bottom:5px;}

/*Checkout & Cart*/
.is-large.wc-block-cart,.wc-block-checkout.is-large {margin:45px auto;}
.wc-block-cart__submit-button {margin-top:25px;background:green;color:#fff;}
.wp-element-button.wc-block-components-checkout-place-order-button {background:green;color:#fff;border:none;cursor:pointer;font-size:1.6rem;}
.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name, table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name {color:var(--txt-clr);}

.wc-block-components-title.wc-block-components-title {font-size:2.2rem!important;font-weight:bold!important;}
.wc-block-components-radio-control__description, .wc-block-components-radio-control__label, .wc-block-components-radio-control__secondary-description, .wc-block-components-radio-control__secondary-label,.wc-block-components-checkbox label {font-size:1.2rem!important;}
.wc-block-checkout__additional-fields__field {margin-top:35px!important;}
.custom-terms-link {display:block;margin-bottom:15px!important;}

/*Woocommerce Blocks*/
.wc-block-grid__product {text-align:left!important;border-left:20px solid transparent!important;border-right:20px solid transparent!important;}
.wc-block-grid__product-title {font-size:1.2rem!important;}
.wc-block-grid__product-price.price .amount {font-size:1.2rem!important;}

@media only screen and (max-width: 1368px), only screen and (max-device-width: 1368px) {
.woocommerce ul.products {grid-template-columns:repeat(4,1fr);}
}

@media only screen and (max-width: 1100px), only screen and (max-device-width: 1100px) {
.woocommerce ul.products {grid-template-columns:repeat(3,1fr);}
}


@media only screen and (max-width: 768px), only screen and (max-device-width: 768px) {
.woocommerce ul.products {grid-template-columns:repeat(2,1fr);}
.woocommerce ul.products[class*=columns-] li.product:nth-child(2n), .woocommerce-page ul.products[class*=columns-] li.product:nth-child(2n),.woocommerce ul.products[class*=columns-] li.product, .woocommerce-page ul.products[class*=columns-] li.product {width:unset!important;margin:0!important;float:unset!important;clear:unset!important;}
}

@media only screen and (max-width: 500px), only screen and (max-device-width: 500px) {
.woocommerce ul.products {grid-template-columns:repeat(1,1fr);}
}